Subject: Re: [bug#67921] [PATCH haskell-team 00/23] Update GHC to 9.6.5

From: Lars-Dominik Braun <[email-masked]>
Date: Fri, 14 Jun 2024 15:55:48 +0200

Hi,

> I didn't hear any ideas for a better solution, so here is a patch set
> with the failing tests disabled. The current haskell-team merge should
> probably be continued without this series and a new one started from
> these patches.

perhaps, instead of disabling working tests, we can just patch line
370 of testsuite/driver/runtests.py to not use a directory with
spaces? Maybe it’s just a test system failure? I tried compiling
a simple Hello World Haskell program in a directory with spaces and
that worked.

Lars